ofSite ./install.sh 관련 에러


#1

안녕하세요 첫글이네요 ^^ㅋ
사이트 번역작업을 위해서 install.sh파일을 관리자권한으로 실행했더니 에러가 발생해서 질문 올립니다.
콘솔창 그대로 복사했더니 글이 무지하게 기네요;;;
에러발생은 글 하단부쯤에 나타납니다.
OS는 맥 엘캐피탄 사용중이구요.
혹시에러 해결책을 아시는 분 계시나요 ^^
에러 메시지는 다음과 같습니다.

➜ ofSite git:(master) sudo install
Password:
usage: install [-bCcpSsv] [-B suffix] [-f flags] [-g group] [-m mode]
[-o owner] file1 file2
install [-bCcpSsv] [-B suffix] [-f flags] [-g group] [-m mode]
[-o owner] file1 … fileN directory
install -d [-v] [-g group] [-m mode] [-o owner] directory …
➜ ofSite git:(master) sudo ./install
sudo: ./install: command not found
➜ ofSite git:(master) ls
dbtools files readme.md
auto_build.sh import_release.sh readme.zh_cn.md
book_hook.php install.sh release_hook.php
build.sh install_dependencies.sh serve.sh
build_docs.sh learning set_env.sh
build_server.sh messages themes
commit_hook.php nikola tutorials
conf.py plugins utils
content readme.ja.md
documentation readme.ko.md
➜ ofSite git:(master) sudo ./install.sh
The directory ‘/Users/sanghun/Library/Caches/pip/http’ or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
The directory ‘/Users/sanghun/Library/Caches/pip’ or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
Requirement already satisfied (use --upgrade to upgrade): virtualenv in /Library/Python/2.7/site-packages
Running virtualenv with interpreter /usr/local/bin/python3
Using base prefix ‘/Library/Frameworks/Python.framework/Versions/3.4’
New python executable in /Users/sanghun/ofSite/nikola/bin/python3
Not overwriting existing python script /Users/sanghun/ofSite/nikola/bin/python (you must use /Users/sanghun/ofSite/nikola/bin/python3)
Installing setuptools, pip, wheel…done.
The directory ‘/Users/sanghun/Library/Caches/pip/http’ or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
The directory ‘/Users/sanghun/Library/Caches/pip’ or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
Collecting Nikola[extras]
Downloading Nikola-7.7.7-py2.py3-none-any.whl (2.4MB)
100% |████████████████████████████████| 2.4MB 569kB/s
Requirement already up-to-date: Pygments>=1.6 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: mako>=1.0.0 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: docutils>=0.12 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Collecting python-dateutil>=2.4.0 (from Nikola[extras])
Downloading python_dateutil-2.5.3-py2.py3-none-any.whl (201kB)
100% |████████████████████████████████| 204kB 3.7MB/s
Requirement already up-to-date: PyRSS2Gen>=1.1 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: natsort>=3.5.2 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Collecting setuptools>=5.4.1 (from Nikola[extras])
Downloading setuptools-20.9.0-py2.py3-none-any.whl (508kB)
100% |████████████████████████████████| 512kB 442kB/s
Requirement already up-to-date: Yapsy>=1.11.223 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: husl>=4.0.2 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: Pillow>=2.4.0 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: unidecode>=0.04.16 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Collecting lxml>=3.3.5 (from Nikola[extras])
Downloading lxml-3.6.0.tar.gz (3.7MB)
100% |████████████████████████████████| 3.7MB 409kB/s
Requirement already up-to-date: requests>=2.2.0 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: doit<=0.29.0,>=0.28.0 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: blinker>=1.3 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Requirement already up-to-date: logbook>=0.7.0 in ./nikola/lib/python3.4/site-packages (from Nikola[extras])
Collecting ghp-import2>=1.0.0 (from Nikola[extras])
Downloading ghp_import2-1.0.1-py2.py3-none-any.whl
Collecting typogrify>=2.0.4 (from Nikola[extras])
Collecting ipykernel>=4.0.0 (from Nikola[extras])
Downloading ipykernel-4.3.1-py2.py3-none-any.whl (93kB)
100% |████████████████████████████████| 102kB 6.0MB/s
Collecting watchdog==0.8.3 (from Nikola[extras])
Downloading watchdog-0.8.3.tar.gz (83kB)
100% |████████████████████████████████| 92kB 5.9MB/s
Collecting micawber>=0.3.0 (from Nikola[extras])
Downloading micawber-0.3.3.tar.gz
Collecting phpserialize>=1.3 (from Nikola[extras])
Downloading phpserialize-1.3.tar.gz
Collecting notebook>=4.0.0 (from Nikola[extras])
Downloading notebook-4.2.0-py2.py3-none-any.whl (6.7MB)
100% |████████████████████████████████| 6.7MB 211kB/s
Collecting ws4py==0.3.4 (from Nikola[extras])
Downloading ws4py-0.3.4.tar.gz
Collecting webassets>=0.10.1 (from Nikola[extras])
Downloading webassets-0.11.1.tar.gz (171kB)
100% |████████████████████████████████| 174kB 4.2MB/s
Collecting Jinja2>=2.7.2 (from Nikola[extras])
Downloading Jinja2-2.8-py2.py3-none-any.whl (263kB)
100% |████████████████████████████████| 266kB 3.8MB/s
Collecting pyphen>=0.9.1 (from Nikola[extras])
Downloading Pyphen-0.9.4-py2.py3-none-any.whl (1.9MB)
100% |████████████████████████████████| 2.0MB 731kB/s
Collecting Markdown>=2.4.0 (from Nikola[extras])
Downloading Markdown-2.6.6.zip (412kB)
100% |████████████████████████████████| 419kB 2.0MB/s
Collecting pygal>=2.0.0 (from Nikola[extras])
Downloading pygal-2.2.1.tar.gz (73kB)
100% |████████████████████████████████| 81kB 6.7MB/s
Requirement already up-to-date: MarkupSafe>=0.9.2 in ./nikola/lib/python3.4/site-packages (from mako>=1.0.0->Nikola[extras])
Requirement already up-to-date: six>=1.5 in ./nikola/lib/python3.4/site-packages (from python-dateutil>=2.4.0->Nikola[extras])
Requirement already up-to-date: macfsevents in ./nikola/lib/python3.4/site-packages (from doit<=0.29.0,>=0.28.0->Nikola[extras])
Requirement already up-to-date: cloudpickle in ./nikola/lib/python3.4/site-packages (from doit<=0.29.0,>=0.28.0->Nikola[extras])
Collecting smartypants>=1.8.3 (from typogrify>=2.0.4->Nikola[extras])
Downloading smartypants-1.8.6-py2.py3-none-any.whl
Collecting jupyter-client (from ipykernel>=4.0.0->Nikola[extras])
Downloading jupyter_client-4.2.2-py2.py3-none-any.whl (76kB)
100% |████████████████████████████████| 81kB 6.3MB/s
Collecting tornado>=4.0 (from ipykernel>=4.0.0->Nikola[extras])
Downloading tornado-4.3.tar.gz (450kB)
100% |████████████████████████████████| 460kB 2.1MB/s
Collecting ipython>=4.0.0 (from ipykernel>=4.0.0->Nikola[extras])
Downloading ipython-4.2.0-py3-none-any.whl (736kB)
100% |████████████████████████████████| 737kB 1.0MB/s
Collecting traitlets (from ipykernel>=4.0.0->Nikola[extras])
Downloading traitlets-4.2.1-py2.py3-none-any.whl (67kB)
100% |████████████████████████████████| 71kB 6.1MB/s
Collecting PyYAML>=3.10 (from watchdog==0.8.3->Nikola[extras])
Downloading PyYAML-3.11.zip (371kB)
100% |████████████████████████████████| 378kB 1.3MB/s
Collecting argh>=0.24.1 (from watchdog==0.8.3->Nikola[extras])
Downloading argh-0.26.1.tar.gz
Collecting pathtools>=0.1.1 (from watchdog==0.8.3->Nikola[extras])
Downloading pathtools-0.1.2.tar.gz
Collecting ipython-genutils (from notebook>=4.0.0->Nikola[extras])
Downloading ipython_genutils-0.1.0-py2.py3-none-any.whl
Collecting nbformat (from notebook>=4.0.0->Nikola[extras])
Downloading nbformat-4.0.1-py2.py3-none-any.whl (138kB)
100% |████████████████████████████████| 143kB 4.4MB/s
Collecting terminado>=0.3.3 (from notebook>=4.0.0->Nikola[extras])
Downloading terminado-0.6.tar.gz
Collecting jupyter-core (from notebook>=4.0.0->Nikola[extras])
Downloading jupyter_core-4.1.0-py2.py3-none-any.whl (76kB)
100% |████████████████████████████████| 81kB 6.5MB/s
Collecting nbconvert (from notebook>=4.0.0->Nikola[extras])
Downloading nbconvert-4.2.0-py2.py3-none-any.whl (319kB)
100% |████████████████████████████████| 327kB 3.0MB/s
Collecting pyzmq>=13 (from jupyter-client->ipykernel>=4.0.0->Nikola[extras])
Downloading pyzmq-15.2.0-cp34-cp34m-macosx_10_6_intel.whl (1.3MB)
100% |████████████████████████████████| 1.3MB 1.0MB/s
Collecting backports-abc>=0.4 (from tornado>=4.0->ipykernel>=4.0.0->Nikola[extras])
Downloading backports_abc-0.4-py2.py3-none-any.whl
Collecting decorator (from ipython>=4.0.0->ipykernel>=4.0.0->Nikola[extras])
Downloading decorator-4.0.9-py2.py3-none-any.whl
Collecting simplegeneric>0.8 (from ipython>=4.0.0->ipykernel>=4.0.0->Nikola[extras])
Collecting appnope (from ipython>=4.0.0->ipykernel>=4.0.0->Nikola[extras])
Downloading appnope-0.1.0-py2.py3-none-any.whl
Collecting pexpect (from ipython>=4.0.0->ipykernel>=4.0.0->Nikola[extras])
Collecting gnureadline (from ipython>=4.0.0->ipykernel>=4.0.0->Nikola[extras])
Downloading gnureadline-6.3.3-cp34-cp34m-macosx_10_9_x86_64.whl (133kB)
100% |████████████████████████████████| 143kB 4.2MB/s
Collecting backports.shutil-get-terminal-size (from ipython>=4.0.0->ipykernel>=4.0.0->Nikola[extras])
Downloading backports.shutil_get_terminal_size-1.0.0-py2.py3-none-any.whl
Collecting pickleshare (from ipython>=4.0.0->ipykernel>=4.0.0->Nikola[extras])
Downloading pickleshare-0.7.2-py2.py3-none-any.whl
Collecting jsonschema!=2.5.0,>=2.0 (from nbformat->notebook>=4.0.0->Nikola[extras])
Downloading jsonschema-2.5.1-py2.py3-none-any.whl
Collecting ptyprocess (from terminado>=0.3.3->notebook>=4.0.0->Nikola[extras])
Downloading ptyprocess-0.5.1-py2.py3-none-any.whl
Collecting mistune!=0.6 (from nbconvert->notebook>=4.0.0->Nikola[extras])
Downloading mistune-0.7.2-py2.py3-none-any.whl
Collecting entrypoints (from nbconvert->notebook>=4.0.0->Nikola[extras])
Downloading entrypoints-0.2.1-py2.py3-none-any.whl
Installing collected packages: python-dateutil, setuptools, lxml, ghp-import2, smartypants, typogrify, pyzmq, ipython-genutils, decorator, traitlets, jupyter-core, jupyter-client, backports-abc, tornado, simplegeneric, appnope, ptyprocess, pexpect, gnureadline, backports.shutil-get-terminal-size, pickleshare, ipython, ipykernel, PyYAML, argh, pathtools, watchdog, micawber, phpserialize, jsonschema, nbformat, terminado, Jinja2, mistune, entrypoints, nbconvert, notebook, ws4py, webassets, pyphen, Markdown, pygal, Nikola
Found existing installation: python-dateutil 2.5.2
Uninstalling python-dateutil-2.5.2:
Successfully uninstalled python-dateutil-2.5.2
Found existing installation: setuptools 20.8.1
Uninstalling setuptools-20.8.1:
Successfully uninstalled setuptools-20.8.1
Running setup.py install for lxml … error
Complete output from command /Users/sanghun/ofSite/nikola/bin/python3 -u -c “import setuptools, tokenize;file=’/private/tmp/pip-build-kkxyktoq/lxml/setup.py’;exec(compile(getattr(tokenize, ‘open’, open)(file).read().replace(’\r\n’, ‘\n’), file, ‘exec’))” install --record /tmp/pip-x3yd6t6
-record/install-record.txt --single-version-externally-managed --compile --install-headers /Users/sanghun/ofSite/nikola/bin/…/include/site/python3.4/lxml:
Building lxml version 3.6.0.
Building without Cython.
Using build configuration of libxslt 1.1.28
running install
running build
running build_py
creating build
creating build/lib.macosx-10.6-x86_64-3.4
creating build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/init.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/_elementpath.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/builder.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/cssselect.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/doctestcompare.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/ElementInclude.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/pyclasslookup.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/sax.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/usedoctest.py -> build/lib.macosx-10.6-x86_64-3.4/lxml
creating build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/init.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
creating build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/init.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/_diffcommand.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/_html5builder.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/_setmixin.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/builder.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/clean.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/defs.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/diff.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/ElementSoup.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/formfill.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/html5parser.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/soupparser.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
copying src/lxml/html/usedoctest.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/html
creating build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron
copying src/lxml/isoschematron/init.py -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron
copying src/lxml/lxml.etree.h -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/lxml.etree_api.h -> build/lib.macosx-10.6-x86_64-3.4/lxml
copying src/lxml/includes/c14n.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/config.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/dtdvalid.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/etreepublic.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/htmlparser.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/relaxng.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/schematron.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/tree.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/uri.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/xinclude.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/xmlerror.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/xmlparser.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/xmlschema.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/xpath.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/xslt.pxd -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/etree_defs.h -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
copying src/lxml/includes/lxml-version.h -> build/lib.macosx-10.6-x86_64-3.4/lxml/includes
creating build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources
creating build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/rng
copying src/lxml/isoschematron/resources/rng/iso-schematron.rng -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/rng
creating build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl
copying src/lxml/isoschematron/resources/xsl/RNG2Schtrn.xsl -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl
copying src/lxml/isoschematron/resources/xsl/XSD2Schtrn.xsl -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl
creating build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl/iso-schematron-xslt1
copying src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_abstract_expand.xsl -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl/iso-schematron-xslt1
copying src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_dsdl_include.xsl -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl/iso-schematron-xslt1
copying src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_schematron_message.xsl -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl/iso-schematron-xslt1
copying src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_schematron_skeleton_for_xslt1.xsl -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl/iso-schematron-xslt1
copying src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/iso_svrl_for_xslt1.xsl -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl/iso-schematron-xslt1
copying src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/readme.txt -> build/lib.macosx-10.6-x86_64-3.4/lxml/isoschematron/resources/xsl/iso-schematron-xslt1
running build_ext
building ‘lxml.etree’ extension
creating build/temp.macosx-10.6-x86_64-3.4
creating build/temp.macosx-10.6-x86_64-3.4/src
creating build/temp.macosx-10.6-x86_64-3.4/src/lxml
/usr/bin/clang -fno-strict-aliasing -Werror=declaration-after-statement -fno-common -dynamic -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -arch i386 -arch x86_64 -g -I/usr/include/libxml2 -Isrc/lxml/includes -I/Library/Frameworks/Python.framework/Versions/3.4/include/python3.4m -c src/lxml/lxml.etree.c -o build/temp.macosx-10.6-x86_64-3.4/src/lxml/lxml.etree.o -w -flat_namespace
In file included from src/lxml/lxml.etree.c:320:
src/lxml/includes/etree_defs.h:14:10: fatal error: ‘libxml/xmlversion.h’ file not found
#include “libxml/xmlversion.h”
^
1 error generated.
Compile failed: command ‘/usr/bin/clang’ failed with exit status 1
creating tmp
cc -I/usr/include/libxml2 -I/usr/include/libxml2 -c /tmp/xmlXPathInit4ko41b6k.c -o tmp/xmlXPathInit4ko41b6k.o
/tmp/xmlXPathInit4ko41b6k.c:1:10: fatal error: ‘libxml/xpath.h’ file not found
#include “libxml/xpath.h”
^
1 error generated.
*********************************************************************************
Could not find function xmlCheckVersion in library libxml2. Is libxml2 installed?
Perhaps try: xcode-select --install
*********************************************************************************
error: command ‘/usr/bin/clang’ failed with exit status 1

----------------------------------------

Command “/Users/sanghun/ofSite/nikola/bin/python3 -u -c “import setuptools, tokenize;file=’/private/tmp/pip-build-kkxyktoq/lxml/setup.py’;exec(compile(getattr(tokenize, ‘open’, open)(file).read().replace(’\r\n’, ‘\n’), file, ‘exec’))” install --record /tmp/pip-x3yd6t6_-record/install-record.txt --single-version-externally-managed --compile --install-headers /Users/sanghun/ofSite/nikola/bin/…/include/site/python3.4/lxml” failed with error code 1 in /private/tmp/pip-build-kkxyktoq/lxml/
The directory ‘/Users/sanghun/Library/Caches/pip/http’ or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
The directory ‘/Users/sanghun/Library/Caches/pip’ or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
Requirement already up-to-date: python-Levenshtein in ./nikola/lib/python3.4/site-packages
Requirement already up-to-date: setuptools in ./nikola/lib/python3.4/site-packages (from python-Levenshtein)
The directory ‘/Users/sanghun/Library/Caches/pip/http’ or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
The directory ‘/Users/sanghun/Library/Caches/pip’ or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
Requirement already up-to-date: pathlib in ./nikola/lib/python3.4/site-packages
The directory ‘/Users/sanghun/Library/Caches/pip/http’ or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
The directory ‘/Users/sanghun/Library/Caches/pip’ or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
Requirement already up-to-date: beautifulsoup4 in ./nikola/lib/python3.4/site-packages
➜ ofSite git:(master)


#2

콘솔에서 복사한 내역들을 선택한다음 인용구 (shift+ctrl+9)을 눌러 적용키셔 주시면 감사하겠습니다.

일단 대충 구글링해보니깐 lxml 설치문제인것 같은데 brew나 macport 로 따로 설치해야한다는 글들이 있네요

아래 터미널 명령어들중 하나를 사용해보시고 다시 설치해보세요.

macport로 설치

$ sudo port install py27-lxml

pip로 설치

$ xcode-select --install
$ sudo easy_install pip
$ sudo pip install lxml


#3

다시 보니까 이부분이네요!!


#4

답변 감사합니다.
말씀하신데로 xcode 커맨드라인 개발자 도구 설치후에 정상적으로 실행이 되네요 ^^